<template>
    <div>
        <breadcrumb-component title="Clientes" :pages="breadPages"/>

        <panel-component title="Detalhes do cliente">

            <div class="col-md-12">
                <h2><i class="fa fa-list-alt"></i> Dados gerais</h2>
            </div>
            <div class="col-md-3">
                <label>Tipo cliente:</label> {{client.tipo | typePerson}}
            </div>

            <div class="col-md-4">
                <label>Nome:</label> {{client.name}}
            </div>

            <div class="col-md-5">
                <label>Email:</label> {{client.email}}
            </div>

            <div class="col-md-3">
                <label>Telefone:</label> {{client.telefone}}
            </div>

            <div class="col-md-4">
                <label>Celular:</label> {{client.celular}}
            </div>

            <div class="col-md-5">
                <label>Site:</label> {{client.site}}
            </div>

            <div v-if="client.tipo== 'fisica'">
                <div class="col-md-3">
                    <label>CPF:</label> {{client.type_client_physicals.cpf}}
                </div>

                <div class="col-md-4">
                    <label>RG:</label> {{client.type_client_physicals.rg}}
                </div>

                <div class="col-md-5">
                    <label>Data de nascimento:</label>
                    {{client.type_client_physicals.date_birth | dateFormat}}
                </div>
            </div>

            <div v-if="client.tipo== 'juridica'">
                <div class="col-md-3">
                    <label>CNPJ:</label> {{client.type_client_legals.cnpj}}
                </div>

                <div class="col-md-4">
                    <label>Razão social:</label> {{client.type_client_legals.razao_social}}
                </div>

                <div class="col-md-5">
                    <label>Inscrição estadual:</label> {{client.type_client_legals.inscricao_estadual}}
                </div>

                <div class="col-md-3">
                    <label>tipode contribuinte:</label> {{client.type_client_legals.tipo_contribuinte}}
                </div>

                <div class="col-md-4">
                    <label>Inscrição municipal:</label> {{client.type_client_legals.inscricao_municipal}}
                </div>

                <div class="col-md-5">
                    <label>Inscrição SUFRAMA:</label> {{client.type_client_legals.suframa}}
                </div>

                <div class="col-md-12">
                    <label>Responsável:</label> {{client.type_client_legals.responsavel}}
                </div>
            </div>

            <div v-if="client.tipo== 'estrangeiro'">
                <div class="col-md-12">
                    <label>Documento:</label> {{client.type_client_foreigns.documento}}
                </div>
            </div>

            <div class="hr-line-dashed col-sm-12"></div>
            <div class="col-md-12">
                <h2><i class="fa fa-map-marker"></i> Endereços</h2>
            </div>

            <div v-for="(address, index) in client.address_clients" :key="index" class="label-form col-md-12">
                <div class="col-md-3">
                    <label>tipo de endereço:</label> {{address.tipo}}
                </div>

                <div class="col-md-2">
                    <label>CEP:</label> {{address.cep}}
                </div>

                <div class="col-md-4">
                    <label>Logradouro:</label> {{address.logradouro}}
                </div>

                <div class="col-md-3">
                    <label>Número:</label> {{address.numero}}
                </div>

                <div class="col-md-3">
                    <label>Complemento:</label> {{address.complemento}}
                </div>

                <div class="col-md-3">
                    <label>Bairro:</label> {{address.bairro}}
                </div>

                <div class="col-md-3">
                    <label>Cidade:</label> {{address.cidade}}
                </div>

                <div class="col-md-3">
                    <label>UF:</label> {{address.uf}}
                </div>
            </div>

            <div class="hr-line-dashed col-sm-12"></div>
            <div class="col-md-12">
                <h2><i class="fa fa-address-book"></i> Contatos</h2>
            </div>

            <div v-for="(contact, index) in client.contact_clients" class="col-sm-12 label-form">
                <div class="col-md-3">
                    <label>tipo de Contato:</label> {{contact.tipo}}
                </div>
                <div class="col-md-3">
                    <label>Nome:</label> {{contact.name}}
                </div>
                <div class="col-md-3">
                    <label>Contato:</label> {{contact.contato}}
                </div>
                <div class="col-md-3">
                    <label>Cargo:</label> {{contact.cargo}}
                </div>
                <div class="col-md-12">
                    <label>Observação:</label> {{contact.observacao}}
                </div>
            </div>

            <div class="hr-line-dashed col-sm-12"></div>
            <div class="col-md-12">
                <h2><i class="fa fa-edit"></i> Observações</h2>
            </div>
            <div class="col-md-12">
                {{client.observacao}}
            </div>

            <div class="col-sm-12">
                <div class="hr-line-dashed"></div>
                <button class="btn btn-white" type="button" @click.prevent="backPage">
                    <i class="fa fa-reply"></i> Voltar
                </button>
            </div>

        </panel-component>
    </div>
</template>

<script>
    export default {
        props: {
            id: {
                require: true,
            }
        },

        data() {
            return {
                client: {},
                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'clients', name: 'Clientes', active: false},
                    {link: 'clients.detail', name: 'Detalhes', active: true},
                ],
            }
        },

        created() {
            this.$store.dispatch('loadClient', this.id)
                .then(response => {
                    this.client = response
                })
                .catch(() => {
                    this.$snotify.error('Cliente não encontrado', '404')
                    this.$router.push({name: 'clients'})
                })
        },

        methods: {
            backPage() {
                this.$router.push({name: 'clients'})
            },
        }
    }
</script>
